Bug 215171 - Small clanups and suggestions for python code
Small clanups and suggestions for python code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 16:00 EST by Alexander Kanevskiy
Modified: 2008-05-06 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kanevskiy 2006-11-11 16:00:55 EST
Description of problem:

Plague in couple of places uses python features not in effective way. 
For example: in /www/template/main.psp
    if item != '>' and item != '<' and item != '/' and item != '\\' and item != ')' and item != '(' and item != 
"'" and item != '"' and item != '%':
           safe = safe + item

to make it more readable it could be written as:

   if item not in ('>', '<', '/', '\\', ')', '(', "'", '"', '%'):
         safe = safe + item   

or even to: safe = filter(lambda sym: sym not in ('>', '<', '/', '\\', ')', '(', "'", '"', '%'), a)


Version-Release number of selected component (if applicable): 0.4.4.1 from CVS (2006-10-25)


Additional info:

Another issues which was catched my attention in the code:

builder/builder.py
- duplicate import of time (see lines 23 and 26)
- undefined variable cur_time at line 650.
- variable build_arches  initialized in global scope, but used only in main(), would it be logical to move 
it to main() ?
- line 375: bad indentation. should be 12 spaces instead of 15.
- function log() and BuilderMock._log() uses as argument variable "string" which is equal to the module 
so, it redefines that name with different scope. maybe better to change it to "line" ? _get_mock_status() 
has almost the same issue.

- maybe at all, instead of using deprecate module "string" rewrite lines 227, 251 from:
   self._log("   %s\n" % string.join(args)) 
to 
   self._log("   %s\n" % " ".join(args))
- BuilderMock._srpm_path initialized in run(), it would be logical to initialize that variable in __init__().
- "sum" is predefined name. redefine it in XMLRPCBuilderServer._generate_uniqid() is not very good 
style.

in Config.py:
   target_dict = {} 
   target_dict['distro'] = self._distro
   target_dict['target'] = self._target 
   target_dict['arch'] = self._basearch   
   target_dict['repo'] = self._repo                                                                                

what do you think if rewrite it to bit more readable way:

  target_dict = {
    'distro': self._distro,
    'target': self._target, 
    'arch': self._basearch,   
    'repo': self._repo,                                                                               
    }
?
Comment 1 Bug Zapper 2008-04-04 00:36:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:46:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.